Skip to main content
`Ctrl`+`K`

# TSARKIMEXSetFastSlowSplit

Use `TSARKIMEX` for solving a fast-slow system

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSARKIMEXSetFastSlowSplit(TS ts, PetscBool fastslow)

Logically Collective

## Input Parameters

- ts - timestepping context

- fastslow - `PETSC_TRUE` enables the `TSARKIMEX` solver for a fast-slow system where the RHS is split component-wise.

## Options Database Key

- -ts_arkimex_fastslowsplit - <true,false>

## See Also

TS: Scalable ODE and DAE Solvers, `TSARKIMEX`, `TSARKIMEXGetFastSlowSplit()`

## Level

intermediate

## Location

src/ts/impls/arkimex/arkimex.c

## Implementations

TSARKIMEXSetFastSlowSplit_ARKIMEX() in src/ts/impls/arkimex/fsarkimex.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages